#
# spec file for package rubygem-sexp_processor
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sexp_processor
Version:        4.6.0
Release:        5.3
%define mod_name sexp_processor
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/seattlerb/sexp_processor
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        sexp_processor branches from ParseTree bringing all the generic sexp
License:        MIT
Group:          Development/Languages/Ruby

%description
sexp_processor branches from ParseTree bringing all the generic sexp
processing tools with it. Sexp, SexpProcessor, Environment, etc... all
for your language processing pleasure.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt README.txt" \
  -f
# MANUAL
perl -p -i -e 's|#!\S+|#!/usr/bin/ruby|g' %{buildroot}%{_libdir}/*/gems/*/gems/%{mod_full_name}/test/*
# /MANUAL

%gem_packages

%changelog
* Fri May 29 2015 coolo@suse.com
- updated to version 4.6.0
  see installed History.txt
  === 4.6.0 / 2015-05-28
  * 2 minor enhancements:
  * Extended generate_test to deal with 19 and up.
  * Extended pt_testcase.rb so add_19tests means 19 and up.
  * 1 bug fix:
  * Added and normalized tests to deal with canonicalized block args from ruby_parser.
* Tue Apr 28 2015 coolo@suse.com
- updated to version 4.5.1
  see installed History.txt
  === 4.5.1 / 2015-04-27
  * 1 minor enhancement:
  * Cache processors and rewriters. Significant speedup. (presidentbeef)
* Mon Mar 16 2015 coolo@suse.com
- updated to version 4.5.0
  * 1 minor enhancement:
  * Added SexpProcessor::expand_dirs_to_files as a utility to cmdline tools.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.4.5
* Sun Oct 12 2014 coolo@suse.com
- updated to version 4.4.4
  * 1 bug fix:
  * MethodBasedSexpProcessor#in_klass clears out the method_stack for the duration of the block.
* Wed Sep 10 2014 mrueckert@suse.de
- added gem2rpm.yml as source
* Wed Sep 10 2014 mrueckert@suse.de
- added a small scriptlet to fix the shebang line of the test
  scripts.
- also added a gem2rpm.yml for later, but did not regenerate the
  specfile just yet.
* Sun Apr  6 2014 coolo@suse.com
- updated to version 4.4.3
  * 1 bug fix:
  * Fixed a bunch of pt_testcase entries for 1.9/2.0 wrt ruby2ruby.
* Tue Mar 18 2014 coolo@suse.com
- updated to version 4.4.2
  * 2 minor enhancements:
  * Changed skipped versioned tests to return, not skip. Reduces noise so you can focus on real skips.
  * Extended versioned tests to include 2.0 and 2.1.
* Mon Dec 16 2013 coolo@suse.com
- updated to version 4.4.1
  * 1 bug fix:
  * Added parenthesis to fix the structure_remove_begin_1 testcase. (bocete)
* Sun Oct 20 2013 coolo@suse.com
- updated to version 4.4.0
  * Added MethodBasedSexpProcessor, extracted from Flog.
* Mon Aug 26 2013 coolo@suse.com
- updated to version 4.3.0
  * 1 minor enhancement:
  * Switched ParseTreeTestCase to minitest 5.
* Sat Apr 13 2013 coolo@suse.com
- updated to version 4.2.1
  * 1 bug fix:
  * Removed structure_unused_literal_wwtt because I just don't care anymore
* Wed Mar 20 2013 coolo@suse.com
- updated to version 4.2.0
  * 2 minor enhancements:
  * Added SexpInterpreter since it is such a common pattern
  * Added aliases Sexp#head & Sexp#rest for readability
* Sun Mar  3 2013 coolo@suse.com
- updated to version 4.1.5
  * Clarified role of s method. Fixes #12.
  * maglev: Workaround for bug in Array#shift
* Wed Jan 23 2013 coolo@suse.com
- updated to version 4.1.4
  * 1 minor enhancement:
  * Gave Sexp#structure a ~10%% boost
  * 2 bug fixes:
  * Fixed Sexp#mass lying when using auto_shifted sexps.
  * Stupid fix for ruby 2.0 method_missing 'bug'.
* Fri Dec  7 2012 coolo@suse.com
- updated to version 4.1.3
  * Code cleanup... what was I thinking???
  * Explicitly setting pt_testcase.rb to US-ASCII to avoid encoding hell
* Sun Nov  4 2012 coolo@suse.com
- updated to version 4.1.2
  * Sexp#structure should grep for Sexps, not Arrays
* Sat Nov  3 2012 coolo@suse.com
- updated to version 4.1.1
  * iter args revamp for ruby_parser 3 changes.
* Sun Oct 28 2012 coolo@suse.com
- updated to version 4.1.0
  * Added Environment#current so you can explicitly shadow variables. (meh)
* Sun Jul 15 2012 coolo@suse.com
- update to 4.0.1
  * 4 bug fixes:
  * 1.9: Changed !@ to ! since that is what you implement
  * True to my wtf comment, there was a bug in my case_splat test
  * Fixed a bunch of entries for r2r changes against edgecase parse/lex tests
  * Fixes for R2R
  * 5 major enhancements:
  * Removed :arglist from everything except :op_asgn1.
  * Removed block from resbody
  * Removed block from when node
  * Removed block nodes inside of scope nodes (defn/defs/class/sclass).
  * Removed scope nodes in defn/defs/class/sclass nodes.
  * 10 minor enhancement:
  * 1.9: Had to version split all my 'not' tests since 1.9 is insane.
  * 1.9: f (args) is not allowed in 1.9.
  * 1.9: f(hash, *splat) is not allowed in 1.9.
  * Added module2 test to verify module w/ 2+ entities
  * Added Sexp#deep_each and Sexp#each_sexp. Refactored from Flay
  * Added a ton of block arg tests.
  * Added add19_edgecases to help refactor a bunch of tests that all have the same output.
  * Added better debugging output for rewrites.
  * Cleaned and added a bunch of stabby proc tests.
  * Moved RawParseTree test data to ParseTree project.
* Thu Mar 22 2012 saschpe@suse.de
- Update to version 3.1.0:
  * Added test_call_arglist_trailing_comma__19 (presidentbeef)
  * Added test_fcall_inside_parens. (presidentbeef)
  * Added test_if_args_no_space_symbol__18. (presidentbeef)
  * Added tests for new hash syntax and ternaries in 1.9 (lastobelus)
* Mon Sep  6 2010 mrueckert@suse.de
- update to version 3.0.5
  * Added in_context to clean up code.
  * optimize inspect to avoid needlessly caching @line
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 3.0.4
  * Added line number to pretty_print output if $VERBOSE
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- updated to 3.0.3
* Mon Mar 23 2009 mrueckert@suse.de
- fix build
* Sat Jan 31 2009 dmacvicar@suse.de
- initial package
